---
- name: Get pc ready
  hosts: localhost
  vars:
    ssh_keys:
      - id_rsa
      - id_ed25519
    ssh_key_dir: "{{ lookup('env', 'HOME') }}/.ssh"
    source_key_dir: "./.ssh"
    pc_host_user: "{{ ansible_env['USER']}}"
    vars_files:
    - ./inventory/group_vars/main.yml
      
  pre_tasks:
  - name: Update Apt
    become: true
    apt:
      force_apt_get: true
      update_cache: true
      state: present
    tags:
      - install
      - core
  roles:
    # base setup 
    - ssh
    - git

    # syste adjsutments + packages
    - core
    - firewall
    - fonts

    # zsh
    - zsh

    # editors
    - neovim 
    - vscode

    # config
    - dotfiles

    # applications
    - docker
    - tmux
    - desktop-applications #TODO: add libreoffice

    # languages / environments
    - go
    - node
    - npm-packages

  tasks:
    # - ansible.builtin.import_tasks: tasks/brave.yml

    - ansible.builtin.import_tasks: tasks/productivity-tools.yml






